bmap tex1 = <stone.bmp>;

material tut1 {
	skin1 = tex1;
	
	effect
	"
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// Define your needed values
		float4x4 matWorldViewProj;			// 
	
		// Define your textures
		texture mtlSkin1;					
		texture mtlSkin2;					
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// Texture settings
		sampler sTex1 = sampler_state			
		{
			Texture = <mtlSkin1>;
			MipFilter = Linear;
			MinFilter = Linear;
			MagFilter = Linear;
			AddressU = Wrap;	
			AddressV = Wrap;
		};

		// Define the input of your vertexshader
		struct VS_IN
		{
			float4 Pos		: POSITION;
			float2 Tex1		: TEXCOORD0;
		};
		
		// Define the output of your vertexshader
		struct VS_OUT
		{
			float4 Pos	 : POSITION;
			float2 Tex1	 : TEXCOORD0;
		};

		// Define the input for your pixelshader
		struct PS_IN
		{
			float2 Tex1		: TEXCOORD0;
		};
		
		// Define the output for your pixelshader
		struct PS_OUT
		{
			float4 Color		: COLOR;				// We only give a color value back
		};

		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// vertexshader
		
		VS_OUT vs( VS_IN In )
		{
			VS_OUT Out = ( VS_OUT ) 0;							// Declare your output 
			
			Out.Pos = mul( In.Pos, matWorldViewProj );	// Transform the ouput to the view
			
			Out.Tex1 = In.Tex1.xy*2;							// we use the positions of the level texture
			return Out;
		}

		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// pixelshader
		PS_OUT ps( PS_IN In )
		{
			PS_OUT Out = ( PS_OUT ) 0;							
			
			float4 color;		
			
			color = tex2D( sTex1, In.Tex1.xy );				
			Out.Color = color;									
			
			return Out;												
		}
	
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// 
		technique mytechnique
		{
			// Define your passes
			pass p0
			{
				VertexShader = compile vs_1_1 vs();
				PixelShader = compile ps_1_1 ps();
			}
		}
	";
}


ACTION sh_tut_001 {
	my.material=tut1	;
}


Function Main() {
		
	d3d_automaterial = 1;

	level_load("sh_tut_001.wmb");

	sleep(2);	
}
